Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network2.36.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
2.36.0.0
Broadcast address
2.39.255.255
First usable
2.36.0.1
Last usable
2.39.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 02240000 · Integer 35913728 to 36175871
Reverse DNS zones
36.2.in-addr.arpa
37.2.in-addr.arpa
38.2.in-addr.arpa
39.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000010.00100100.00000000.000000002.36.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00000010.00100100.00000000.000000002.36.0.0
Broadcast00000010.00100111.11111111.111111112.39.255.255
Split into smaller subnets/24

2.36.0.0/14 makes 1,024 subnets of /24; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
12.36.0.0/242.36.0.1 to 2.36.0.2542.36.0.255254
22.36.1.0/242.36.1.1 to 2.36.1.2542.36.1.255254
32.36.2.0/242.36.2.1 to 2.36.2.2542.36.2.255254
42.36.3.0/242.36.3.1 to 2.36.3.2542.36.3.255254
52.36.4.0/242.36.4.1 to 2.36.4.2542.36.4.255254
62.36.5.0/242.36.5.1 to 2.36.5.2542.36.5.255254
72.36.6.0/242.36.6.1 to 2.36.6.2542.36.6.255254
82.36.7.0/242.36.7.1 to 2.36.7.2542.36.7.255254
92.36.8.0/242.36.8.1 to 2.36.8.2542.36.8.255254
102.36.9.0/242.36.9.1 to 2.36.9.2542.36.9.255254
112.36.10.0/242.36.10.1 to 2.36.10.2542.36.10.255254
122.36.11.0/242.36.11.1 to 2.36.11.2542.36.11.255254
132.36.12.0/242.36.12.1 to 2.36.12.2542.36.12.255254
142.36.13.0/242.36.13.1 to 2.36.13.2542.36.13.255254
152.36.14.0/242.36.14.1 to 2.36.14.2542.36.14.255254
162.36.15.0/242.36.15.1 to 2.36.15.2542.36.15.255254
172.36.16.0/242.36.16.1 to 2.36.16.2542.36.16.255254
182.36.17.0/242.36.17.1 to 2.36.17.2542.36.17.255254
192.36.18.0/242.36.18.1 to 2.36.18.2542.36.18.255254
202.36.19.0/242.36.19.1 to 2.36.19.2542.36.19.255254
212.36.20.0/242.36.20.1 to 2.36.20.2542.36.20.255254
222.36.21.0/242.36.21.1 to 2.36.21.2542.36.21.255254
232.36.22.0/242.36.22.1 to 2.36.22.2542.36.22.255254
242.36.23.0/242.36.23.1 to 2.36.23.2542.36.23.255254
252.36.24.0/242.36.24.1 to 2.36.24.2542.36.24.255254
262.36.25.0/242.36.25.1 to 2.36.25.2542.36.25.255254
272.36.26.0/242.36.26.1 to 2.36.26.2542.36.26.255254
282.36.27.0/242.36.27.1 to 2.36.27.2542.36.27.255254
292.36.28.0/242.36.28.1 to 2.36.28.2542.36.28.255254
302.36.29.0/242.36.29.1 to 2.36.29.2542.36.29.255254
312.36.30.0/242.36.30.1 to 2.36.30.2542.36.30.255254
322.36.31.0/242.36.31.1 to 2.36.31.2542.36.31.255254
332.36.32.0/242.36.32.1 to 2.36.32.2542.36.32.255254
342.36.33.0/242.36.33.1 to 2.36.33.2542.36.33.255254
352.36.34.0/242.36.34.1 to 2.36.34.2542.36.34.255254
362.36.35.0/242.36.35.1 to 2.36.35.2542.36.35.255254
372.36.36.0/242.36.36.1 to 2.36.36.2542.36.36.255254
382.36.37.0/242.36.37.1 to 2.36.37.2542.36.37.255254
392.36.38.0/242.36.38.1 to 2.36.38.2542.36.38.255254
402.36.39.0/242.36.39.1 to 2.36.39.2542.36.39.255254
412.36.40.0/242.36.40.1 to 2.36.40.2542.36.40.255254
422.36.41.0/242.36.41.1 to 2.36.41.2542.36.41.255254
432.36.42.0/242.36.42.1 to 2.36.42.2542.36.42.255254
442.36.43.0/242.36.43.1 to 2.36.43.2542.36.43.255254
452.36.44.0/242.36.44.1 to 2.36.44.2542.36.44.255254
462.36.45.0/242.36.45.1 to 2.36.45.2542.36.45.255254
472.36.46.0/242.36.46.1 to 2.36.46.2542.36.46.255254
482.36.47.0/242.36.47.1 to 2.36.47.2542.36.47.255254
492.36.48.0/242.36.48.1 to 2.36.48.2542.36.48.255254
502.36.49.0/242.36.49.1 to 2.36.49.2542.36.49.255254
512.36.50.0/242.36.50.1 to 2.36.50.2542.36.50.255254
522.36.51.0/242.36.51.1 to 2.36.51.2542.36.51.255254
532.36.52.0/242.36.52.1 to 2.36.52.2542.36.52.255254
542.36.53.0/242.36.53.1 to 2.36.53.2542.36.53.255254
552.36.54.0/242.36.54.1 to 2.36.54.2542.36.54.255254
562.36.55.0/242.36.55.1 to 2.36.55.2542.36.55.255254
572.36.56.0/242.36.56.1 to 2.36.56.2542.36.56.255254
582.36.57.0/242.36.57.1 to 2.36.57.2542.36.57.255254
592.36.58.0/242.36.58.1 to 2.36.58.2542.36.58.255254
602.36.59.0/242.36.59.1 to 2.36.59.2542.36.59.255254
612.36.60.0/242.36.60.1 to 2.36.60.2542.36.60.255254
622.36.61.0/242.36.61.1 to 2.36.61.2542.36.61.255254
632.36.62.0/242.36.62.1 to 2.36.62.2542.36.62.255254
642.36.63.0/242.36.63.1 to 2.36.63.2542.36.63.255254
652.36.64.0/242.36.64.1 to 2.36.64.2542.36.64.255254
662.36.65.0/242.36.65.1 to 2.36.65.2542.36.65.255254
672.36.66.0/242.36.66.1 to 2.36.66.2542.36.66.255254
682.36.67.0/242.36.67.1 to 2.36.67.2542.36.67.255254
692.36.68.0/242.36.68.1 to 2.36.68.2542.36.68.255254
702.36.69.0/242.36.69.1 to 2.36.69.2542.36.69.255254
712.36.70.0/242.36.70.1 to 2.36.70.2542.36.70.255254
722.36.71.0/242.36.71.1 to 2.36.71.2542.36.71.255254
732.36.72.0/242.36.72.1 to 2.36.72.2542.36.72.255254
742.36.73.0/242.36.73.1 to 2.36.73.2542.36.73.255254
752.36.74.0/242.36.74.1 to 2.36.74.2542.36.74.255254
762.36.75.0/242.36.75.1 to 2.36.75.2542.36.75.255254
772.36.76.0/242.36.76.1 to 2.36.76.2542.36.76.255254
782.36.77.0/242.36.77.1 to 2.36.77.2542.36.77.255254
792.36.78.0/242.36.78.1 to 2.36.78.2542.36.78.255254
802.36.79.0/242.36.79.1 to 2.36.79.2542.36.79.255254
812.36.80.0/242.36.80.1 to 2.36.80.2542.36.80.255254
822.36.81.0/242.36.81.1 to 2.36.81.2542.36.81.255254
832.36.82.0/242.36.82.1 to 2.36.82.2542.36.82.255254
842.36.83.0/242.36.83.1 to 2.36.83.2542.36.83.255254
852.36.84.0/242.36.84.1 to 2.36.84.2542.36.84.255254
862.36.85.0/242.36.85.1 to 2.36.85.2542.36.85.255254
872.36.86.0/242.36.86.1 to 2.36.86.2542.36.86.255254
882.36.87.0/242.36.87.1 to 2.36.87.2542.36.87.255254
892.36.88.0/242.36.88.1 to 2.36.88.2542.36.88.255254
902.36.89.0/242.36.89.1 to 2.36.89.2542.36.89.255254
912.36.90.0/242.36.90.1 to 2.36.90.2542.36.90.255254
922.36.91.0/242.36.91.1 to 2.36.91.2542.36.91.255254
932.36.92.0/242.36.92.1 to 2.36.92.2542.36.92.255254
942.36.93.0/242.36.93.1 to 2.36.93.2542.36.93.255254
952.36.94.0/242.36.94.1 to 2.36.94.2542.36.94.255254
962.36.95.0/242.36.95.1 to 2.36.95.2542.36.95.255254
972.36.96.0/242.36.96.1 to 2.36.96.2542.36.96.255254
982.36.97.0/242.36.97.1 to 2.36.97.2542.36.97.255254
992.36.98.0/242.36.98.1 to 2.36.98.2542.36.98.255254
1002.36.99.0/242.36.99.1 to 2.36.99.2542.36.99.255254
1012.36.100.0/242.36.100.1 to 2.36.100.2542.36.100.255254
1022.36.101.0/242.36.101.1 to 2.36.101.2542.36.101.255254
1032.36.102.0/242.36.102.1 to 2.36.102.2542.36.102.255254
1042.36.103.0/242.36.103.1 to 2.36.103.2542.36.103.255254
1052.36.104.0/242.36.104.1 to 2.36.104.2542.36.104.255254
1062.36.105.0/242.36.105.1 to 2.36.105.2542.36.105.255254
1072.36.106.0/242.36.106.1 to 2.36.106.2542.36.106.255254
1082.36.107.0/242.36.107.1 to 2.36.107.2542.36.107.255254
1092.36.108.0/242.36.108.1 to 2.36.108.2542.36.108.255254
1102.36.109.0/242.36.109.1 to 2.36.109.2542.36.109.255254
1112.36.110.0/242.36.110.1 to 2.36.110.2542.36.110.255254
1122.36.111.0/242.36.111.1 to 2.36.111.2542.36.111.255254
1132.36.112.0/242.36.112.1 to 2.36.112.2542.36.112.255254
1142.36.113.0/242.36.113.1 to 2.36.113.2542.36.113.255254
1152.36.114.0/242.36.114.1 to 2.36.114.2542.36.114.255254
1162.36.115.0/242.36.115.1 to 2.36.115.2542.36.115.255254
1172.36.116.0/242.36.116.1 to 2.36.116.2542.36.116.255254
1182.36.117.0/242.36.117.1 to 2.36.117.2542.36.117.255254
1192.36.118.0/242.36.118.1 to 2.36.118.2542.36.118.255254
1202.36.119.0/242.36.119.1 to 2.36.119.2542.36.119.255254
1212.36.120.0/242.36.120.1 to 2.36.120.2542.36.120.255254
1222.36.121.0/242.36.121.1 to 2.36.121.2542.36.121.255254
1232.36.122.0/242.36.122.1 to 2.36.122.2542.36.122.255254
1242.36.123.0/242.36.123.1 to 2.36.123.2542.36.123.255254
1252.36.124.0/242.36.124.1 to 2.36.124.2542.36.124.255254
1262.36.125.0/242.36.125.1 to 2.36.125.2542.36.125.255254
1272.36.126.0/242.36.126.1 to 2.36.126.2542.36.126.255254
1282.36.127.0/242.36.127.1 to 2.36.127.2542.36.127.255254
1292.36.128.0/242.36.128.1 to 2.36.128.2542.36.128.255254
1302.36.129.0/242.36.129.1 to 2.36.129.2542.36.129.255254
1312.36.130.0/242.36.130.1 to 2.36.130.2542.36.130.255254
1322.36.131.0/242.36.131.1 to 2.36.131.2542.36.131.255254
1332.36.132.0/242.36.132.1 to 2.36.132.2542.36.132.255254
1342.36.133.0/242.36.133.1 to 2.36.133.2542.36.133.255254
1352.36.134.0/242.36.134.1 to 2.36.134.2542.36.134.255254
1362.36.135.0/242.36.135.1 to 2.36.135.2542.36.135.255254
1372.36.136.0/242.36.136.1 to 2.36.136.2542.36.136.255254
1382.36.137.0/242.36.137.1 to 2.36.137.2542.36.137.255254
1392.36.138.0/242.36.138.1 to 2.36.138.2542.36.138.255254
1402.36.139.0/242.36.139.1 to 2.36.139.2542.36.139.255254
1412.36.140.0/242.36.140.1 to 2.36.140.2542.36.140.255254
1422.36.141.0/242.36.141.1 to 2.36.141.2542.36.141.255254
1432.36.142.0/242.36.142.1 to 2.36.142.2542.36.142.255254
1442.36.143.0/242.36.143.1 to 2.36.143.2542.36.143.255254
1452.36.144.0/242.36.144.1 to 2.36.144.2542.36.144.255254
1462.36.145.0/242.36.145.1 to 2.36.145.2542.36.145.255254
1472.36.146.0/242.36.146.1 to 2.36.146.2542.36.146.255254
1482.36.147.0/242.36.147.1 to 2.36.147.2542.36.147.255254
1492.36.148.0/242.36.148.1 to 2.36.148.2542.36.148.255254
1502.36.149.0/242.36.149.1 to 2.36.149.2542.36.149.255254
1512.36.150.0/242.36.150.1 to 2.36.150.2542.36.150.255254
1522.36.151.0/242.36.151.1 to 2.36.151.2542.36.151.255254
1532.36.152.0/242.36.152.1 to 2.36.152.2542.36.152.255254
1542.36.153.0/242.36.153.1 to 2.36.153.2542.36.153.255254
1552.36.154.0/242.36.154.1 to 2.36.154.2542.36.154.255254
1562.36.155.0/242.36.155.1 to 2.36.155.2542.36.155.255254
1572.36.156.0/242.36.156.1 to 2.36.156.2542.36.156.255254
1582.36.157.0/242.36.157.1 to 2.36.157.2542.36.157.255254
1592.36.158.0/242.36.158.1 to 2.36.158.2542.36.158.255254
1602.36.159.0/242.36.159.1 to 2.36.159.2542.36.159.255254
1612.36.160.0/242.36.160.1 to 2.36.160.2542.36.160.255254
1622.36.161.0/242.36.161.1 to 2.36.161.2542.36.161.255254
1632.36.162.0/242.36.162.1 to 2.36.162.2542.36.162.255254
1642.36.163.0/242.36.163.1 to 2.36.163.2542.36.163.255254
1652.36.164.0/242.36.164.1 to 2.36.164.2542.36.164.255254
1662.36.165.0/242.36.165.1 to 2.36.165.2542.36.165.255254
1672.36.166.0/242.36.166.1 to 2.36.166.2542.36.166.255254
1682.36.167.0/242.36.167.1 to 2.36.167.2542.36.167.255254
1692.36.168.0/242.36.168.1 to 2.36.168.2542.36.168.255254
1702.36.169.0/242.36.169.1 to 2.36.169.2542.36.169.255254
1712.36.170.0/242.36.170.1 to 2.36.170.2542.36.170.255254
1722.36.171.0/242.36.171.1 to 2.36.171.2542.36.171.255254
1732.36.172.0/242.36.172.1 to 2.36.172.2542.36.172.255254
1742.36.173.0/242.36.173.1 to 2.36.173.2542.36.173.255254
1752.36.174.0/242.36.174.1 to 2.36.174.2542.36.174.255254
1762.36.175.0/242.36.175.1 to 2.36.175.2542.36.175.255254
1772.36.176.0/242.36.176.1 to 2.36.176.2542.36.176.255254
1782.36.177.0/242.36.177.1 to 2.36.177.2542.36.177.255254
1792.36.178.0/242.36.178.1 to 2.36.178.2542.36.178.255254
1802.36.179.0/242.36.179.1 to 2.36.179.2542.36.179.255254
1812.36.180.0/242.36.180.1 to 2.36.180.2542.36.180.255254
1822.36.181.0/242.36.181.1 to 2.36.181.2542.36.181.255254
1832.36.182.0/242.36.182.1 to 2.36.182.2542.36.182.255254
1842.36.183.0/242.36.183.1 to 2.36.183.2542.36.183.255254
1852.36.184.0/242.36.184.1 to 2.36.184.2542.36.184.255254
1862.36.185.0/242.36.185.1 to 2.36.185.2542.36.185.255254
1872.36.186.0/242.36.186.1 to 2.36.186.2542.36.186.255254
1882.36.187.0/242.36.187.1 to 2.36.187.2542.36.187.255254
1892.36.188.0/242.36.188.1 to 2.36.188.2542.36.188.255254
1902.36.189.0/242.36.189.1 to 2.36.189.2542.36.189.255254
1912.36.190.0/242.36.190.1 to 2.36.190.2542.36.190.255254
1922.36.191.0/242.36.191.1 to 2.36.191.2542.36.191.255254
1932.36.192.0/242.36.192.1 to 2.36.192.2542.36.192.255254
1942.36.193.0/242.36.193.1 to 2.36.193.2542.36.193.255254
1952.36.194.0/242.36.194.1 to 2.36.194.2542.36.194.255254
1962.36.195.0/242.36.195.1 to 2.36.195.2542.36.195.255254
1972.36.196.0/242.36.196.1 to 2.36.196.2542.36.196.255254
1982.36.197.0/242.36.197.1 to 2.36.197.2542.36.197.255254
1992.36.198.0/242.36.198.1 to 2.36.198.2542.36.198.255254
2002.36.199.0/242.36.199.1 to 2.36.199.2542.36.199.255254
2012.36.200.0/242.36.200.1 to 2.36.200.2542.36.200.255254
2022.36.201.0/242.36.201.1 to 2.36.201.2542.36.201.255254
2032.36.202.0/242.36.202.1 to 2.36.202.2542.36.202.255254
2042.36.203.0/242.36.203.1 to 2.36.203.2542.36.203.255254
2052.36.204.0/242.36.204.1 to 2.36.204.2542.36.204.255254
2062.36.205.0/242.36.205.1 to 2.36.205.2542.36.205.255254
2072.36.206.0/242.36.206.1 to 2.36.206.2542.36.206.255254
2082.36.207.0/242.36.207.1 to 2.36.207.2542.36.207.255254
2092.36.208.0/242.36.208.1 to 2.36.208.2542.36.208.255254
2102.36.209.0/242.36.209.1 to 2.36.209.2542.36.209.255254
2112.36.210.0/242.36.210.1 to 2.36.210.2542.36.210.255254
2122.36.211.0/242.36.211.1 to 2.36.211.2542.36.211.255254
2132.36.212.0/242.36.212.1 to 2.36.212.2542.36.212.255254
2142.36.213.0/242.36.213.1 to 2.36.213.2542.36.213.255254
2152.36.214.0/242.36.214.1 to 2.36.214.2542.36.214.255254
2162.36.215.0/242.36.215.1 to 2.36.215.2542.36.215.255254
2172.36.216.0/242.36.216.1 to 2.36.216.2542.36.216.255254
2182.36.217.0/242.36.217.1 to 2.36.217.2542.36.217.255254
2192.36.218.0/242.36.218.1 to 2.36.218.2542.36.218.255254
2202.36.219.0/242.36.219.1 to 2.36.219.2542.36.219.255254
2212.36.220.0/242.36.220.1 to 2.36.220.2542.36.220.255254
2222.36.221.0/242.36.221.1 to 2.36.221.2542.36.221.255254
2232.36.222.0/242.36.222.1 to 2.36.222.2542.36.222.255254
2242.36.223.0/242.36.223.1 to 2.36.223.2542.36.223.255254
2252.36.224.0/242.36.224.1 to 2.36.224.2542.36.224.255254
2262.36.225.0/242.36.225.1 to 2.36.225.2542.36.225.255254
2272.36.226.0/242.36.226.1 to 2.36.226.2542.36.226.255254
2282.36.227.0/242.36.227.1 to 2.36.227.2542.36.227.255254
2292.36.228.0/242.36.228.1 to 2.36.228.2542.36.228.255254
2302.36.229.0/242.36.229.1 to 2.36.229.2542.36.229.255254
2312.36.230.0/242.36.230.1 to 2.36.230.2542.36.230.255254
2322.36.231.0/242.36.231.1 to 2.36.231.2542.36.231.255254
2332.36.232.0/242.36.232.1 to 2.36.232.2542.36.232.255254
2342.36.233.0/242.36.233.1 to 2.36.233.2542.36.233.255254
2352.36.234.0/242.36.234.1 to 2.36.234.2542.36.234.255254
2362.36.235.0/242.36.235.1 to 2.36.235.2542.36.235.255254
2372.36.236.0/242.36.236.1 to 2.36.236.2542.36.236.255254
2382.36.237.0/242.36.237.1 to 2.36.237.2542.36.237.255254
2392.36.238.0/242.36.238.1 to 2.36.238.2542.36.238.255254
2402.36.239.0/242.36.239.1 to 2.36.239.2542.36.239.255254
2412.36.240.0/242.36.240.1 to 2.36.240.2542.36.240.255254
2422.36.241.0/242.36.241.1 to 2.36.241.2542.36.241.255254
2432.36.242.0/242.36.242.1 to 2.36.242.2542.36.242.255254
2442.36.243.0/242.36.243.1 to 2.36.243.2542.36.243.255254
2452.36.244.0/242.36.244.1 to 2.36.244.2542.36.244.255254
2462.36.245.0/242.36.245.1 to 2.36.245.2542.36.245.255254
2472.36.246.0/242.36.246.1 to 2.36.246.2542.36.246.255254
2482.36.247.0/242.36.247.1 to 2.36.247.2542.36.247.255254
2492.36.248.0/242.36.248.1 to 2.36.248.2542.36.248.255254
2502.36.249.0/242.36.249.1 to 2.36.249.2542.36.249.255254
2512.36.250.0/242.36.250.1 to 2.36.250.2542.36.250.255254
2522.36.251.0/242.36.251.1 to 2.36.251.2542.36.251.255254
2532.36.252.0/242.36.252.1 to 2.36.252.2542.36.252.255254
2542.36.253.0/242.36.253.1 to 2.36.253.2542.36.253.255254
2552.36.254.0/242.36.254.1 to 2.36.254.2542.36.254.255254
2562.36.255.0/242.36.255.1 to 2.36.255.2542.36.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses